For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTCreate Video Group
        • GETList Video Groups
        • GETGet Video Group
        • PATCHUpdate Video Group
        • DELDelete Video Group
        • GETList Group Videos
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceVideo Groups

Create Video Group

POST
https://vision-agent.api.reka.ai/v1/videos/groups
POST
/v1/videos/groups
$curl -X POST https://vision-agent.api.reka.ai/v1/videos/groups \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Q4 Planning Videos"
>}'
200Successful
1{
2 "group_id": "group-550e8400-e29b-41d4",
3 "name": "Q4 Planning Videos",
4 "metadata": {},
5 "created_at": "2024-10-31T12:00:00Z",
6 "updated_at": "2024-10-31T12:00:00Z"
7}
Was this page helpful?
Previous

List Video Groups

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Request

This endpoint expects an object.
namestringRequired
Name for the new video group
metadatamap from strings to any or nullOptional
Optional metadata to attach to the newly created group

Response

Successful Response
group_idstring
Unique identifier for the video group
namestring
Name of the video group
metadatamap from strings to any
Arbitrary metadata attached to the group
created_atstring or null
ISO 8601 timestamp when group was created
updated_atstring or null
ISO 8601 timestamp when group was last updated